API ReferenceVerifications
Get all verifications
Retrieve all verification requests for the authenticated organisation with pagination and filters.
GET
/v1/verificationsAuthorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
page?number
limit?number
type?string
Value in
- "NIN"
- "BVN"
- "LINKS"
- "OTHER"
status?string
Value in
- "PENDING"
- "PROCESSING"
- "SUCCESS"
- "FAILED"
- "EXPIRED"
source?string
Value in
- "WEB"
- "SDK"
- "API"
sessionId?string
Filter by reference / session ID
accessLevel?string
Filter by access level name
startDate?string
endDate?string
Response Body
application/json
curl -X GET "https://example.com/v1/verifications"{ "success": true, "statusCode": 200, "message": "Request processed successfully", "timestamp": "2025-10-20T16:30:00.000Z", "path": "/v1/auth/register", "data": { "verifications": [ { "id": "ver_abc123", "organisationId": "org_xyz789", "status": "SUCCESS", "type": "NIN", "accessLevel": "Premium", "sessionId": "sess_123456789", "source": "WEB", "log": "[2025-10-20T12:00:00.000Z] Verification initiated", "cost": 150.5, "meta": { "userId": "user123", "ipAddress": "192.168.1.1" }, "referenceId": "req_abc123", "createdAt": "2025-10-20T12:00:00.000Z", "updatedAt": "2025-10-20T12:05:00.000Z" } ], "statistics": { "total": 150, "pending": 25, "successful": 100, "failed": 25 }, "total": 25, "page": 1, "limit": 10, "totalPages": 3 }}